aboutsummaryrefslogtreecommitdiffstats
path: root/main/dkimproxy/dkimproxy.in.initd
diff options
context:
space:
mode:
Diffstat (limited to 'main/dkimproxy/dkimproxy.in.initd')
-rw-r--r--main/dkimproxy/dkimproxy.in.initd31
1 files changed, 31 insertions, 0 deletions
diff --git a/main/dkimproxy/dkimproxy.in.initd b/main/dkimproxy/dkimproxy.in.initd
new file mode 100644
index 0000000000..0eb5a9b89e
--- /dev/null
+++ b/main/dkimproxy/dkimproxy.in.initd
@@ -0,0 +1,31 @@
+#!/sbin/runscript
+
+description="SMTP proxy that verifies signature on incoming messages"
+
+depend() {
+ need net
+ after firewall
+}
+
+checkconfig() {
+ if [ ! -f ${CONFIGFILE} ]; then
+ eerror "Missing configuration file ${CONFIGFILE}"
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting dkimproxy.in"
+ start-stop-daemon --start -q --exec /usr/sbin/dkimproxy.in \
+ --pidfile "${PIDFILE}" --make-pidfile --background \
+ -- --conf_file=${CONFIGFILE} ${OPTS}
+ eend $?
+}
+
+
+stop() {
+ ebegin "Stopping dkimproxy.in"
+ start-stop-daemon --stop -q --pidfile "${PIDFILE}"
+ eend $?
+}